Gets previously set hook on function or method

- « uopz_get_exit_status

- uopz_get_mock »

- PHP Manual
- Uopz Functions
- Gets previously set hook on function or method

# uopz_get_hook

(PECL uopz 5, PECL uopz 6, PECL uopz 7)

uopz_get_hook — Gets previously set hook on function or method

### Description

uopz_get_hook(string `$function`): Closure
uopz_get_hook(string `$class`, string `$function`): Closure

Gets the previously set hook on a function or method.

### Parameters

`class`

  The name of the class.

`function`

  The name of the function or method.

### Return Values

Returns the previously set hook on a function or method, or `null` if no hook has been set.

### Examples

Example #1 Basic uopz_get_hook() Usage

    <?phpfunction foo() {    echo 'foo';}uopz_set_hook('foo', function () {echo 'bar';});var_dump(uopz_get_hook('foo'));?>

The above example will output something similar to:

    object(Closure)#2 (0) {
    }

### See Also

- uopz_set_hook() - Sets hook to execute when entering a function or method
- uopz_unset_hook() - Removes previously set hook on function or method